<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">
  <!-- params: sps = the current order in the table -->
  <g:column filterBy="#{'scheduledProcedureID'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['scheduledProcedureID']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.ID']}</ui:define>
    <h:outputText value="#{sps.scheduledProcedureID}"/>
  </g:column>
  <g:column filteryBy="#{'requestedProcedure.studyInstanceUID'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['requestedProcedure.studyInstanceUID']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.StudyInstanceUID_2']}</ui:define>
    <h:outputText value="#{sps.requestedProcedure.studyInstanceUID}"/>
  </g:column>
  <g:column filterBy="#{'modality'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['modality']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.Modality']}</ui:define>
    <h:outputText value="#{sps.modality}"/>
  </g:column>
  <g:column>
    <ui:define name="header">#{messages['gazelle.ordermanager.ProtocolItems_2']}</ui:define>
    <a4j:repeat value="#{sps.protocolItems}" var="item">
      <h:outputText value="#{item.protocolCodeMeaning}"/>
      <br/>
    </a4j:repeat>
  </g:column>
  <g:column sortBy="#{'lastChanged'}" sortOrder="descending">
    <ui:define name="header">#{messages['gazelle.ordermanager.LastChanged']}</ui:define>
    <g:date value="#{sps.lastChanged}"/>
  </g:column>
  <g:column filterBy="#{'creator'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['creator']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
    <h:outputText value="#{sps.creator}"/>
  </g:column>
</ui:composition>
